clc;
clear all;

opts = '-O'; %'-g'
static = 1;
files = 'cvNN.cpp';
include = 'C:/OpenCV/OpenCV-3.4.5/build/install/include';
if (~static)
    libpath = 'C:/OpenCV/OpenCV-3.4.5/build/install/x64/vc14/lib';
    compflags = '';
else
    libpath = 'C:/OpenCV/OpenCV-3.4.5/build/install/x64/vc14/staticlib';
    %liblist = ' -lopencv_world345 -lippicvmt -lippiw -lprotobuf -littnotify -lzlib';
    compflags = 'COMPFLAGS=''$COMPFLAGS /MT''';
end

if (~exist('liblist', 'var'))
    libs = dir([libpath, '/*.lib']);
    liblist = '';
    for i = 1:length(libs),
        liblist = [liblist, ' -l', libs(i).name(1:end-4)]; %#ok<AGROW>
    end
end

command = ['mex ', ...
           ' ', opts, ...
           ' -I', include, '', ...
           ' -L', libpath, liblist, ...
           ' ', compflags, ...
           ' ', files];

eval(command);
display('Compilation complete.');
