% Compiles the mexResize function.

% Try to use the included mex files first. If they do not work, you can try
% to compile it yourself with this script. If the bellow mex command does
% not work, try to link to your own OpenCV installation.

if (~exist('./opencv242', 'dir'))
	unzip('opencv242.zip', './');
end

if ispc
    mex -lopencv_core242 -lopencv_imgproc242 -L./opencv242/lib -I./opencv242/include mexResize.cpp MxArray.cpp
    copyfile('opencv242/lib/opencv_core242.dll', './');
    copyfile('opencv242/lib/opencv_imgproc242.dll', './');
else
    mex -lopencv_core -lopencv_imgproc -L./opencv/lib -I./opencv/include mexResize.cpp MxArray.cpp
    copyfile('opencv/lib/opencv_core.so', './');
    copyfile('opencv/lib/opencv_imgproc.so', './');
end